[PATCH] btrfs/220: do not run async discard test on zoned device

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]



The mount option "discard=async" is not meant to be used on the zoned mode.
Skip it from the test.

Signed-off-by: Naohiro Aota <naohiro.aota@xxxxxxx>
---
 tests/btrfs/220 | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/tests/btrfs/220 b/tests/btrfs/220
index 30ca06f6038d..b092f40bc1e0 100755
--- a/tests/btrfs/220
+++ b/tests/btrfs/220
@@ -279,7 +279,9 @@ test_revertible_options()
 	test_should_fail "discard=invalid"
 	if [ "$enable_discard_sync" = true ]; then
 		test_roundtrip_mount "discard" "discard" "discard=sync" "discard"
-		test_roundtrip_mount "discard=async" "discard=async" "discard=sync" "discard"
+		if ! _scratch_btrfs_is_zoned; then
+			test_roundtrip_mount "discard=async" "discard=async" "discard=sync" "discard"
+		fi
 		test_roundtrip_mount "discard=sync" "discard" "nodiscard" "$DEFAULT_NODISCARD_OPTS"
 	else
 		test_roundtrip_mount "discard" "discard" "discard" "discard"
-- 
2.41.0




[Index of Archives]     [Linux Filesystems Development]     [Linux NFS]     [Linux NILFS]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux